### Signal

# Gtk TextBuffer::mark-set

#### Declaration

    void
    mark_set (
      GtkTextBuffer* self,
      const GtkTextIter* location,
      GtkTextMark* mark,
      gpointer user_data
    )

#### Description [src]

Emitted as notification after a `GtkTextMark` is set.

See also: `gtk_text_buffer_create_mark()`, `gtk_text_buffer_move_mark()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`location`

  Type: `GtkTextIter`

  The location of `mark` in `textbuffer`.

  The data is owned by the caller of the function.

`mark`

  Type: `GtkTextMark`

  The mark that is set.

  The data is owned by the caller of the function.